//---------------------------------------------------------------------------

#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include "FileTransformer.hpp"
#include "CustomTransformer.hpp"
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
  TToolBar *ToolBar1;
  TListBox *lb_SourceFiles;
  TSplitter *Splitter1;
  TListBox *lb_TargetFiles;
  TButton *Button1;
  TButton *Button2;
  TButton *Button3;
  TOpenDialog *OpenDialog1;
  TButton *Button4;
  TStatusBar *StatusBar1;
  TTextFileN2NTransformer *TextFileN2NTransformer1;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall lb_TargetFilesClick(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall Button4Click(TObject *Sender);
  void __fastcall lb_TargetFilesExit(TObject *Sender);
  void __fastcall TextFileN2NTransformer1Exception(TObject *Sender,
    AnsiString xasWhat);
  void __fastcall TextFileN2NTransformer1ParserMessage(TObject *Sender,
    AnsiString xasWhat, DWORD xlwLastPosition, DWORD xlwPosition,
    const AnsiString xasProduction, const AnsiString xasSymbol,
    eParserMessage xeMessageType, DWORD xlw);
  void __fastcall TextFileN2NTransformer1FileError(TObject *Sender,
    const AnsiString xasSourceFile, const AnsiString xasTargetFile,
    const AnsiString xasMessage);
  void __fastcall TextFileN2NTransformer1FileSuccess(TObject *Sender,
    const AnsiString xasSourceFile, const AnsiString xasTargetFile,
    const AnsiString xasMessage);
private:	// Benutzer-Deklarationen
  TEdit *Edit1;
  void __fastcall Edit1KeyPress(TObject *Sender, char &Key);
public:		// Benutzer-Deklarationen
  __fastcall TForm2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
