//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit3.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "CustomTransformer"
#pragma resource "*.dfm"
TForm3 *Form3;

// Place a TEdit inside a TListBox to enable inplace editing of ListBox items
// http://delphi.about.com/od/adptips2005/qt/listboxedit.htm
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm3::FormResize(TObject *Sender)
{
  Panel1->Align = alNone;
  lb_SourceFiles->Width = Form3->Width / 2;
  Panel1->Align = alClient;
}
//---------------------------------------------------------------------------
void __fastcall TForm3::Button1Click(TObject *Sender)
{
  OpenDialog1->InitialDir = ExtractFilePath(Application->ExeName);
  if(OpenDialog1->Execute())
    lb_SourceFiles->Items->Add(OpenDialog1->FileName);
}
//---------------------------------------------------------------------------
void __fastcall TForm3::Button2Click(TObject *Sender)
{
  lb_SourceFiles->Clear();
  Edit1->Text = "";
}
//---------------------------------------------------------------------------
void __fastcall TForm3::Button3Click(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm3::Button4Click(TObject *Sender)
{
  lb_SourceFiles->ItemIndex = 0;
  TextFileN21Transformer1->SourceFiles->Assign(lb_SourceFiles->Items);
  TextFileN21Transformer1->TargetFile = Edit1->Text;
  if(TextFileN21Transformer1->Execute())
     Application->MessageBox("files successfully transformed", "Error");
   else
     Application->MessageBox("could not transform at least one file", "Error");
}
//---------------------------------------------------------------------------
void __fastcall TForm3::TextFileN21Transformer1Exception(TObject *Sender,
      AnsiString xasWhat)
{
  Application->MessageBox(xasWhat.c_str(), "Exception");
  TextFileN21Transformer1->Stop();
}
//---------------------------------------------------------------------------
void __fastcall TForm3::TextFileN21Transformer1ParserMessage(TObject *Sender,
      AnsiString xasWhat, DWORD xlwLastPosition, DWORD xlwPosition,
      const AnsiString xasProduction, const AnsiString xasSymbol,
      eParserMessage xeMessageType, DWORD xlw)
{
  Application->MessageBox(xasWhat.c_str(), "ParserMessage");
  TextFileN21Transformer1->Stop();
}
//---------------------------------------------------------------------------
void __fastcall TForm3::TextFileN21Transformer1FileError(TObject *Sender,
      const AnsiString xasSourceFile, const AnsiString xasTargetFile,
      const AnsiString xasMessage)
{
  AnsiString sMessage = "could not transform file: ";
  sMessage += xasSourceFile;
  sMessage += " to ";
  sMessage += xasTargetFile;
  Application->MessageBox(sMessage.c_str(), "FileError");
  TextFileN21Transformer1->Stop();
}
//---------------------------------------------------------------------------
void __fastcall TForm3::TextFileN21Transformer1FileSuccess(TObject *Sender,
      const AnsiString xasSourceFile, const AnsiString xasTargetFile,
      const AnsiString xasMessage)
{
  lb_SourceFiles->ItemIndex++;
}

//---------------------------------------------------------------------------

void __fastcall TForm3::Button5Click(TObject *Sender)
{
  OpenDialog1->DefaultExt = "HTML";
  OpenDialog1->FileName = "*.html";
  if(OpenDialog1->Execute())
  {
    Edit1->Text = OpenDialog1->FileName;
  }
}
//---------------------------------------------------------------------------

